Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 319)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 320)
@@ -4402,15 +1660,15 @@
 	E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {828, 1404}}";
-			sepNavSelRange = "{2692, 14}";
-			sepNavVisRect = "{{0, 556}, {828, 848}}";
-			sepNavWindowFrame = "{{293, 96}, {867, 906}}";
+			sepNavIntBoundsRect = "{{0, 0}, {828, 1375}}";
+			sepNavSelRange = "{2966, 0}";
+			sepNavVisRect = "{{0, 298}, {828, 868}}";
+			sepNavWindowFrame = "{{834, 90}, {867, 906}}";
 		};
 	};
 	E1BF166B03DBE27000050002 /* ICeCoffEEWebKitSuper.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {629, 555}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
 			sepNavSelRange = "{232, 0}";
-			sepNavVisRect = "{{0, 0}, {629, 555}}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{199, 71}, {750, 502}}";
 		};
@@ -4421,12 +1679,12 @@
 			sepNavSelRange = "{224, 0}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
-			sepNavWindowFrame = "{{222, 50}, {750, 502}}";
+			sepNavWindowFrame = "{{199, 71}, {750, 502}}";
 		};
 	};
 	E1BF166D03DBE27000050002 /* ICeCoffEEWebKit.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {629, 555}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {629, 555}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
+			sepNavSelRange = "{256, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{61, 197}, {750, 502}}";
 		};
@@ -4457,8 +1715,836 @@
 	E1BF674C054C7F9300C390BC /* Safari.app */ = {
 		isa = PBXFileReference;
-		lastKnownFileType = wrapper.application;
+		explicitFileType = wrapper.application;
 		name = Safari.app;
 		path = /Applications/Safari.app;
 		sourceTree = "<absolute>";
+	};
+	E1C3096C0C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C3096D0C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C3096E0C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C3096F0C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C309700C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C309710C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C309720C22420700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1C30A6F0C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C30A700C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C30A710C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C30A720C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C30A730C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C30A740C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C30A750C22440E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1C30A7A0C22446000EAE48A /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+	};
+	E1C30A7B0C2244A200EAE48A /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+	};
+	E1C30A7D0C2245EB00EAE48A /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+	};
+	E1C30A820C2248E600EAE48A /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+	};
+	E1C30A8A0C224B3200EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: parse error before ')' token";
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		rLen = 1;
+		rLoc = 481;
+		rType = 1;
+	};
+	E1C30A900C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 482";
+		rLen = 0;
+		rLoc = 20477;
+		rType = 0;
+		vrLen = 3008;
+		vrLoc = 19251;
+	};
+	E1C30A930C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEESetServicesMenu.m: 80";
+		rLen = 0;
+		rLoc = 3001;
+		rType = 0;
+		vrLen = 3462;
+		vrLoc = 2054;
+	};
+	E1C30A960C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "(NSString *)kICServiceSubmenu";
+		rLen = 29;
+		rLoc = 6153;
+		rType = 0;
+		vrLen = 3232;
+		vrLoc = 4019;
+	};
+	E1C30A990C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11339;
+		rType = 0;
+		vrLen = 3009;
+		vrLoc = 9381;
+	};
+	E1C30A9C0C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 88";
+		rLen = 0;
+		rLoc = 2966;
+		rType = 0;
+		vrLen = 3037;
+		vrLoc = 753;
+	};
+	E1C30A9D0C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C30A9E0C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C30A9F0C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C30AA00C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C30AA10C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C30AA20C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C30AA30C224B3A00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1C30AAA0C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEESetServicesMenu.m: 124";
+		rLen = 0;
+		rLoc = 4596;
+		rType = 0;
+		vrLen = 3269;
+		vrLoc = 1886;
+	};
+	E1C30AAB0C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 482";
+		rLen = 0;
+		rLoc = 20477;
+		rType = 0;
+		vrLen = 3008;
+		vrLoc = 19251;
+	};
+	E1C30AAC0C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "(NSString *)kICServiceSubmenu";
+		rLen = 29;
+		rLoc = 6153;
+		rType = 0;
+		vrLen = 3232;
+		vrLoc = 4019;
+	};
+	E1C30AAD0C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11339;
+		rType = 0;
+		vrLen = 3009;
+		vrLoc = 9381;
+	};
+	E1C30AAE0C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 88";
+		rLen = 0;
+		rLoc = 2966;
+		rType = 0;
+		vrLen = 3037;
+		vrLoc = 753;
+	};
+	E1C30AAF0C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C30AB00C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C30AB10C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C30AB20C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C30AB30C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C30AB40C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C30AB50C224B7700EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1C30AB80C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEESetServicesMenu.m: 122";
+		rLen = 0;
+		rLoc = 4596;
+		rType = 0;
+		vrLen = 3284;
+		vrLoc = 1886;
+	};
+	E1C30AB90C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 482";
+		rLen = 0;
+		rLoc = 20477;
+		rType = 0;
+		vrLen = 3008;
+		vrLoc = 19251;
+	};
+	E1C30ABA0C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "(NSString *)kICServiceSubmenu";
+		rLen = 29;
+		rLoc = 6153;
+		rType = 0;
+		vrLen = 3232;
+		vrLoc = 4019;
+	};
+	E1C30ABB0C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11339;
+		rType = 0;
+		vrLen = 3009;
+		vrLoc = 9381;
+	};
+	E1C30ABC0C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 88";
+		rLen = 0;
+		rLoc = 2966;
+		rType = 0;
+		vrLen = 3037;
+		vrLoc = 753;
+	};
+	E1C30ABD0C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C30ABE0C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C30ABF0C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C30AC00C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C30AC10C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C30AC20C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C30AC30C224C1600EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1C30AC80C224D4E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = ICCF_GetServicesInfo;
+		rLen = 20;
+		rLoc = 1883;
+		rType = 0;
+		vrLen = 1529;
+		vrLoc = 1369;
+	};
+	E1C30AC90C224D4E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		rLen = 28;
+		rLoc = 22110;
+		rType = 0;
+	};
+	E1C30ACA0C224D4E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = ICCF_GetServicesInfo;
+		rLen = 20;
+		rLoc = 1883;
+		rType = 0;
+		vrLen = 1529;
+		vrLoc = 1369;
+	};
+	E1C30ACB0C224D4E00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ConsolidateServicesMenu;
+		rLen = 28;
+		rLoc = 22110;
+		rType = 0;
+		vrLen = 1427;
+		vrLoc = 21463;
+	};
+	E1C30AE20C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "(NSString *)kICServiceSubmenu";
+		rLen = 29;
+		rLoc = 6153;
+		rType = 0;
+		vrLen = 3232;
+		vrLoc = 4012;
+	};
+	E1C30AE30C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 185";
+		rLen = 0;
+		rLoc = 7008;
+		rType = 0;
+		vrLen = 3303;
+		vrLoc = 4702;
+	};
+	E1C30AE40C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "[itemInfo objectForKey: (NSString *)kICServiceSubmenu]";
+		rLen = 54;
+		rLoc = 20423;
+		rType = 0;
+		vrLen = 2872;
+		vrLoc = 19883;
+	};
+	E1C30AE50C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11339;
+		rType = 0;
+		vrLen = 3009;
+		vrLoc = 9381;
+	};
+	E1C30AE60C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 88";
+		rLen = 0;
+		rLoc = 2966;
+		rType = 0;
+		vrLen = 3037;
+		vrLoc = 753;
+	};
+	E1C30AE70C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C30AE80C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C30AE90C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C30AEA0C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C30AEB0C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C30AEC0C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C30AED0C224DEB00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1C30AF30C224F7B00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = ICCF_RemoveSingleKeyEquivalents;
+		rLen = 31;
+		rLoc = 1028;
+		rType = 0;
+		vrLen = 1416;
+		vrLoc = 373;
+	};
+	E1C30AF40C224F7B00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		rLen = 28;
+		rLoc = 20326;
+		rType = 0;
+	};
+	E1C30AF50C224F7B00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ConsolidateServicesMenu;
+		rLen = 28;
+		rLoc = 22110;
+		rType = 0;
+		vrLen = 1427;
+		vrLoc = 21463;
+	};
+	E1C30AF60C224F7B00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = ICCF_RemoveSingleKeyEquivalents;
+		rLen = 31;
+		rLoc = 1028;
+		rType = 0;
+		vrLen = 1416;
+		vrLoc = 373;
+	};
+	E1C30AF70C224F7B00EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ConsolidateServicesMenu;
+		rLen = 28;
+		rLoc = 20326;
+		rType = 0;
+		vrLen = 1976;
+		vrLoc = 19380;
+	};
+	E1C30AFD0C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ConsolidateServicesMenu;
+		rLen = 28;
+		rLoc = 19392;
+		rType = 0;
+		vrLen = 3043;
+		vrLoc = 18716;
+	};
+	E1C30AFE0C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: 325";
+		rLen = 0;
+		rLoc = 11339;
+		rType = 0;
+		vrLen = 3009;
+		vrLoc = 9381;
+	};
+	E1C30AFF0C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */;
+		name = "ICeCoffEEWebKit.m: 88";
+		rLen = 0;
+		rLoc = 2966;
+		rType = 0;
+		vrLen = 3037;
+		vrLoc = 753;
+	};
+	E1C30B000C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		name = "WebFrameBridge.h: 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1C30B010C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1C30B020C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1C30B030C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		name = "WebView.h: 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1C30B040C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		name = "DOMNode.h: 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2379;
+		vrLoc = 860;
+	};
+	E1C30B050C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		name = "WebHTMLViewPrivate.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1C30B060C2255B100EAE48A /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		name = "WebFrameViewInternal.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
 	};
 	E1CBC99803E7602700050002 /* English */ = {
@@ -4470,4 +2556,256 @@
 		};
 	};
+	E1ED52930C1F094B0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52940C1F094B0038715E /* WebView.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED52940C1F094B0038715E /* WebView.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebView.h;
+		path = /System/Library/Frameworks/WebKit.framework/Versions/A/Headers/WebView.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 9152}}";
+			sepNavSelRange = "{20429, 0}";
+			sepNavVisRect = "{{0, 5764}, {733, 778}}";
+		};
+	};
+	E1ED52990C1F094B0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED529A0C1F094B0038715E /* DOMNode.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED529A0C1F094B0038715E /* DOMNode.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = DOMNode.h;
+		path = /System/Library/Frameworks/WebKit.framework/Versions/A/Headers/DOMNode.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 968}}";
+			sepNavSelRange = "{3238, 0}";
+			sepNavVisRect = "{{0, 182}, {733, 778}}";
+		};
+	};
+	E1ED529F0C1F094B0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED52A00C1F094B0038715E /* WebHTMLViewPrivate.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebHTMLViewPrivate.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebHTMLViewPrivate.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 1452}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {733, 778}}";
+		};
+	};
+	E1ED52A50C1F094B0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED52A60C1F094B0038715E /* WebFrameViewInternal.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebFrameViewInternal.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebFrameViewInternal.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 779}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {733, 778}}";
+		};
+	};
+	E1ED52C00C1F0C780038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C10C1F0C780038715E /* WebDocument.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED52C10C1F0C780038715E /* WebDocument.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebDocument.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebDocument.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 2321}}";
+			sepNavSelRange = "{4005, 15}";
+			sepNavVisRect = "{{0, 1023}, {733, 778}}";
+		};
+	};
+	E1ED52C60C1F0C780038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED52C70C1F0C780038715E /* WebHTMLView.mm */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED52C70C1F0C780038715E /* WebHTMLView.mm */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.cpp.objcpp;
+		name = WebHTMLView.mm;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebHTMLView.mm;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 69388}}";
+			sepNavSelRange = "{200883, 14}";
+			sepNavVisRect = "{{0, 62051}, {733, 778}}";
+		};
+	};
+	E1ED53110C1F17270038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53120C1F17270038715E /* WebFrameBridge.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E1ED53120C1F17270038715E /* WebFrameBridge.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebFrameBridge.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebCoreSupport/WebFrameBridge.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 779}}";
+			sepNavSelRange = "{1896, 0}";
+			sepNavVisRect = "{{0, 0}, {733, 778}}";
+		};
+	};
+	E1ED531B0C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED531C0C1F635A0038715E /* WebFrameBridge.h */;
+		name = "(null): 46";
+		rLen = 0;
+		rLoc = 1896;
+		rType = 0;
+		vrLen = 2206;
+		vrLoc = 0;
+	};
+	E1ED531C0C1F635A0038715E /* WebFrameBridge.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebFrameBridge.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebCoreSupport/WebFrameBridge.h;
+		sourceTree = "<absolute>";
+	};
+	E1ED531D0C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED531E0C1F635A0038715E /* WebHTMLView.mm */;
+		name = "selectNSRange:";
+		rLen = 14;
+		rLoc = 200883;
+		rType = 0;
+		vrLen = 2613;
+		vrLoc = 199593;
+	};
+	E1ED531E0C1F635A0038715E /* WebHTMLView.mm */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.cpp.objcpp;
+		name = WebHTMLView.mm;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebHTMLView.mm;
+		sourceTree = "<absolute>";
+	};
+	E1ED531F0C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53200C1F635A0038715E /* WebDocument.h */;
+		name = WebDocumentText;
+		rLen = 15;
+		rLoc = 4005;
+		rType = 0;
+		vrLen = 1763;
+		vrLoc = 3515;
+	};
+	E1ED53200C1F635A0038715E /* WebDocument.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebDocument.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebDocument.h;
+		sourceTree = "<absolute>";
+	};
+	E1ED53210C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53220C1F635A0038715E /* WebView.h */;
+		name = "(null): 544";
+		rLen = 0;
+		rLoc = 20429;
+		rType = 0;
+		vrLen = 2427;
+		vrLoc = 19210;
+	};
+	E1ED53220C1F635A0038715E /* WebView.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebView.h;
+		path = /System/Library/Frameworks/WebKit.framework/Versions/A/Headers/WebView.h;
+		sourceTree = "<absolute>";
+	};
+	E1ED53230C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53240C1F635A0038715E /* DOMNode.h */;
+		name = "(null): 87";
+		rLen = 0;
+		rLoc = 3238;
+		rType = 0;
+		vrLen = 2309;
+		vrLoc = 930;
+	};
+	E1ED53240C1F635A0038715E /* DOMNode.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = DOMNode.h;
+		path = /System/Library/Frameworks/WebKit.framework/Versions/A/Headers/DOMNode.h;
+		sourceTree = "<absolute>";
+	};
+	E1ED53250C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53260C1F635A0038715E /* WebHTMLViewPrivate.h */;
+		name = "(null): 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2864;
+		vrLoc = 0;
+	};
+	E1ED53260C1F635A0038715E /* WebHTMLViewPrivate.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebHTMLViewPrivate.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebHTMLViewPrivate.h;
+		sourceTree = "<absolute>";
+	};
+	E1ED53270C1F635A0038715E /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED53280C1F635A0038715E /* WebFrameViewInternal.h */;
+		name = "(null): 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2263;
+		vrLoc = 0;
+	};
+	E1ED53280C1F635A0038715E /* WebFrameViewInternal.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = WebFrameViewInternal.h;
+		path = /Volumes/GrayExtra/Extra/WebKit/WebKit/WebView/WebFrameViewInternal.h;
+		sourceTree = "<absolute>";
+	};
 	E1F6E3AC040BCC5700050002 /* Japanese */ = {
 		uiCtxt = {
